vui-link {
    font: var(--regular-m);
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 0 var(--offset-md-2xs);
    color: var(--color-text-secondary);
    cursor: pointer;
    letter-spacing: 0.04rem
}

vui-link vui-icon[slot=start] {
    margin-right: var(--offset-sm-s)
}

vui-link vui-icon[slot=end] {
    margin-left: var(--offset-sm-s)
}

vui-link:hover {
    color: var(--color-text-primary)
}

vui-link:hover .link_underline__4bNUd {
    text-decoration: none
}

vui-link[disabled] {
    opacity: var(--opacity-5);
    pointer-events: none;
    cursor: not-allowed
}

.link_link__37aNb {
    font: var(--regular-m);
    width: 100%;
    height: 100%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-color: transparent;
    border: none;
    outline: none;
    -webkit-transition: color var(--transition-fastest) var(--cubic-ease-out), background-color var(--transition-fastest) var(--cubic-ease-out);
    transition: color var(--transition-fastest) var(--cubic-ease-out), background-color var(--transition-fastest) var(--cubic-ease-out);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    min-height: var(--height-md-xs);
    text-align: center;
    text-decoration: none;
    white-space: nowrap
}

.link_sm__3Ws9o .link_link__37aNb {
    height: var(--height-md-s)
}

.link_md__2F_o4 .link_link__37aNb {
    height: var(--height-md-2xl)
}

.link_lg__1EHXs .link_link__37aNb {
    height: var(--height-lg-s)
}

.link_upper__1-DD_ {
    font: var(--bold-l);
    text-transform: uppercase
}

.link_underline__4bNUd {
    text-decoration: underline
}